#include"reg51.h"
#define uchar unsigned char
#define uint unsigned int
delay(uint t)
{
uint i,j;
for(j=t;j>0;j--) 	
	for(i=110;i>0;i--);
}
main()
{
  uint n;
  uchar code tap[8]={0xfe,0xfd,0xfb,0xf7,0xef,0xdf,0xbf,0x7f};
    for(n=0;n<8;n++)
	{
   		P1=tap[n];
 		delay(1000);
	}
}